藤 吾郎 > HTML-FillInForm-Lite-1.12 > HTML::FillInForm::Lite::Compat

Download:
HTML-FillInForm-Lite-1.12.tar.gz

Dependencies

Annotate this POD

View/Report Bugs
Module Version: 1.12   Source   Latest Release: HTML-FillInForm-Lite-1.13

NAME ^

HTML::FillInForm::Lite::Compat - HTML::FillInForm compatibility layer

SYNOPSIS ^

        use HTML::FillInForm::Lite::Compat;

        use HTML::FillInForm; # doesn't require HTML::FillInForm

        my $fif = HTML::FillInForm->new();
        $fif->isa('HTML::FillInForm::Lite'); # => yes

        # or

        perl -MHTML::FillInForm::Lite::Compat script_using_fillinform.pl

DESCRIPTION ^

This module provides an interface compatible with HTML::FillInForm.

It takes over the use HTML::FillInForm directive to use HTML::FillInForm::Lite instead, so that scripts and modules that depend on HTML::FillInForm go without it.

METHODS ^

The following is compatible with those of HTML::FillInForm.

new()

It accepts no options as HTML::FillInForm does.

fill(...)
fill_file(file, ...)
fill_scalarref(scalarref, ...)
fill_arrayref(arrayref, ...)

SEE ALSO ^

HTML::FillInForm.

HTML::FillInForm::Lite.

AUTHOR ^

Goro Fuji (藤 吾郎) <gfuji(at)cpan.org>

LICENSE AND COPYRIGHT ^

Copyright (c) 2008-2010 Goro Fuji, Some rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

syntax highlighting: